OSDN Git Service

* configure.in: Update MPFR version in error message.
authorghazi <ghazi@138bc75d-0d04-0410-961f-82ee72b054a4>
Sat, 2 Dec 2006 16:52:15 +0000 (16:52 +0000)
committerghazi <ghazi@138bc75d-0d04-0410-961f-82ee72b054a4>
Sat, 2 Dec 2006 16:52:15 +0000 (16:52 +0000)
* configure: Regenerate.

gcc:
* doc/install.texi: Update recommended MPFR version.  Remove
obsolete reference to cumulative patch.

gcc/testsuite:
* gcc.dg/torture/builtin-sin-mpfr-1.c: Update MPFR comment.

git-svn-id: svn+ssh://gcc.gnu.org/svn/gcc/trunk@119447 138bc75d-0d04-0410-961f-82ee72b054a4

ChangeLog
configure
configure.in
gcc/ChangeLog
gcc/doc/install.texi
gcc/testsuite/ChangeLog
gcc/testsuite/gcc.dg/torture/builtin-sin-mpfr-1.c

index 4034b82..ff02b60 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+2006-12-02  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>
+
+       * configure.in: Update MPFR version in error message.
+
+       * configure: Regenerate.
+
 2006-11-26  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>
 
        * configure.in (--with-mpfr-dir, --with-gmp-dir): Remove flags.
index 6519af0..d76717a 100755 (executable)
--- a/configure
+++ b/configure
@@ -2392,7 +2392,7 @@ fi
 CFLAGS="$saved_CFLAGS"
 
 if test -d ${srcdir}/gcc && test x$have_gmp != xyes; then
-  { echo "configure: error: Building GCC requires GMP 4.1+ and MPFR 2.2+.
+  { echo "configure: error: Building GCC requires GMP 4.1+ and MPFR 2.2.1+.
 Try the --with-gmp and/or --with-mpfr options to specify their locations.
 Copies of these libraries' source code can be found at their respective
 hosting sites as well as at ftp://gcc.gnu.org/pub/gcc/infrastructure/.
index f9d6bca..094e910 100644 (file)
@@ -1130,7 +1130,7 @@ fi
 CFLAGS="$saved_CFLAGS"
 
 if test -d ${srcdir}/gcc && test x$have_gmp != xyes; then
-  AC_MSG_ERROR([Building GCC requires GMP 4.1+ and MPFR 2.2+.
+  AC_MSG_ERROR([Building GCC requires GMP 4.1+ and MPFR 2.2.1+.
 Try the --with-gmp and/or --with-mpfr options to specify their locations.
 Copies of these libraries' source code can be found at their respective
 hosting sites as well as at ftp://gcc.gnu.org/pub/gcc/infrastructure/.
index e1ae8cb..6601a1d 100644 (file)
@@ -1,3 +1,8 @@
+2006-12-02  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>
+
+       * doc/install.texi: Update recommended MPFR version.  Remove
+       obsolete reference to cumulative patch.
+
 2006-12-02  Lee Millward  <lee.millward@codesourcery.com>
 
        PR c/27953
index 0fee98a..ab2a9f2 100644 (file)
@@ -297,16 +297,14 @@ library search path, you will have to configure with the
 @option{--with-gmp} configure option.  See also
 @option{--with-gmp-lib} and @option{--with-gmp-include}.
 
-@item MPFR Library version 2.2 (or later)
+@item MPFR Library version 2.2.1 (or later)
 
 Necessary to build GCC.  It can be downloaded from
-@uref{http://www.mpfr.org/}.  If you're using version 2.2.0, You
-should also apply revision 16 (or later) of the cumulative patch from
-@uref{http://www.mpfr.org/mpfr-current/}.  The version of MPFR that is
-bundled with GMP 4.1.x contains numerous bugs.  Although GCC will
-appear to function with the buggy versions of MPFR, there are a few
-bugs that will not be fixed when using this version.  It is strongly
-recommended to upgrade to the recommended version of MPFR.
+@uref{http://www.mpfr.org/}.  The version of MPFR that is bundled with
+GMP 4.1.x contains numerous bugs.  Although GCC may appear to function
+with the buggy versions of MPFR, there are a few bugs that will not be
+fixed when using this version.  It is strongly recommended to upgrade
+to the recommended version of MPFR.
 
 The @option{--with-mpfr} configure option should be used if your MPFR
 Library is not installed in your default library search path.  See
index 6159e46..381647a 100644 (file)
@@ -1,3 +1,7 @@
+2006-12-02  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>
+
+       * gcc.dg/torture/builtin-sin-mpfr-1.c: Update MPFR comment.
+
 2006-12-02  Lee Millward  <lee.millward@codesourcery.com>
 
        PR c/27953
index 86396f5..3597287 100644 (file)
@@ -1,7 +1,6 @@
 /* Version 2.2.0 of MPFR had bugs in sin rounding.  This test checks
    to see if that buggy version was installed.  The problem is fixed
-   in the MPFR cumulative patch http://www.mpfr.org/mpfr-current and
-   presumably later MPFR versions.
+   in version 2.2.1 and presumably later MPFR versions.
 
    Origin: Kaveh R. Ghazi 10/23/2006.  */